---
title: 快速入门
date: 2024-05-09 11:40:36
tags: [Hexo, Keep]
categories: [Hexo]
---


## 2.1 登录 MaxKB 系统

```
使用浏览器打开服务地址：http://目标服务器IP地址:目标端口。   
默认的登录信息：  
用户名：admin    
默认密码：MaxKB@123.. 
```
## 2.2 添加模型
```
登录 MaxKB 系统后，可以先对接一下模型，也可以在创建应用时添加模型。
```
### 2.2.1 添加千帆大模型

```
点击【添加模型】，选择供应商【千帆大模型】，直接进入下一步填写千帆大模型表单。
或者左侧供应商先选择【千帆大模型】，然后点击【添加模型】，则直接进入千帆大模型表单。
```
<img width="1473" alt="image" src="https://github.com/1Panel-dev/MaxKB/assets/52996290/b95b1c83-5ed0-43c1-ad36-e177d32647ae">


```
模型名称： MaxKB 中自定义的模型名称。   
模型类型： 大语言模型。    
基础模型： 为供应商的 LLM 模型，支持自定义输入官方模型，选项中列了的一些常用的大语言模型。
         注意自定义基础模型名称需保证与供应商平台的模型名称一致才能校验通过。    
API Key 和 Secret Key：千帆大模型中应用的API Key 和 Secret Key（需要先创建应用）   
```

<img width="1475" alt="qianfan-app" src="https://github.com/1Panel-dev/MaxKB/assets/52996290/860c0937-a9bf-4e85-97dc-cc2c72bbec5b">


### 2.2.2 添加 Ollama 模型

```
点击【添加模型】，选择供应商【 Ollama 】，直接进入下一步填写 Ollama 供应商的大模型表单。
或者左侧供应商先选择【 Ollama 】，然后点击【添加模型】，则直接进入 Ollama 表单。    
模型名称： MaxKB 中自定义的模型名称。   
模型类型： 大语言模型。    
基础模型： 为供应商的 LLM 模型，支持自定义输入，但需要与供应商的模型名称保持一致，系统会自动下载部署模型。   
API 域名和 API Key: 为供应商的连接信息（Ollama 服务地址， 如：http://42.92.198.53:11434 ）。若没有 API Key 可以输入任意字符。     
点击【添加】后 校验通过则添加成功，便可以在应用的 AI 模型列表选择该模型。
```
<img width="1466" alt="image" src="https://github.com/1Panel-dev/MaxKB/assets/52996290/0c9c5b81-0ddb-4ea4-b331-f021314be1d3">


### 2.2.3 添加 Azure OpenAI 模型

```
在模型管理中，点击供应商【 Azure OpenAI 】，直接进入下一步填写Azure OpenAI 的模型表单。    
或者左侧供应商先选择【 Azure OpenAI 】，然后点击【添加模型】，则直接进入 Azure OpenAI 的模型表单。    
模型名称： MaxKB 中自定义的模型名称。   
模型类型： 大语言模型。   
基础模型： 为供应商的 LLM 模型，支持自定义输入和下拉选项，当前可下拉选择的大语言模型如：gpt-3.5-turbo-0613、gpt-3.5-turbo-0301、gpt-3.5-turbo-16k-0613 等。    
```
<img width="1475" alt="image" src="https://github.com/1Panel-dev/MaxKB/assets/52996290/6353572e-6b3b-426d-87e5-44039cf14c51">


```
API 域名、API Key、部署名称: 是Azure OpenAI 的模型部署中提供的，需要填写一致，参考下图：
```

![Azure key](https://github.com/1Panel-dev/MaxKB/assets/52996290/15a7c2e7-5fa7-44f8-b5f2-f9e3ece3fcfa)

### 2.2.4 添加 OpenAI 大模型

```
在模型管理中，点击供应商【 OpenAI 】，直接进入下一步填写 OpenAI 的模型表单。    
或者左侧供应商先选择【 OpenAI 】，然后点击【添加模型】，则直接进入 OpenAI 的模型表单。    
模型名称： MaxKB 中自定义的模型名称。   
模型类型： 大语言模型。   
基础模型： 为供应商的 LLM 模型，支持自定义输入，下拉选项是 OpenAI 常用的一些大语言模型如：gpt-3.5-turbo-0613、gpt-3.5-turbo、gpt-4 等。    
API 域名（国外）：https://api.openai.com/v1 。
API 域名：国内服务器反向代理地址/v1。
API Key：访问 OpenAI 的 Key。
```
<img width="1455" alt="image" src="https://github.com/1Panel-dev/MaxKB/assets/52996290/5f67e73e-d615-4bb3-9500-215fe20adb7d">
 
### 2.2.5 添加讯飞星火大模型

```
在模型管理中，点击供应商【讯飞星火】，直接进入下一步填写讯飞星火的模型表单。    
或者左侧供应商先选择【讯飞星火】，然后点击【添加模型】，则直接进入讯飞星火的模型表单。    
模型名称： MaxKB 中自定义的模型名称。   
模型类型： 大语言模型。   
基础模型： 为供应商的 LLM 模型，支持自定义输入，下拉选项是讯飞星火常用的一些大语言模型。    
API 域名 V3.5：wss://spark-api.xf-yun.com/v3.5/chat
API 域名 V3：wss://spark-api.xf-yun.com/v3.1/chat
API 域名 V2：wss://spark-api.xf-yun.com/v2.1/chat
API 域名 V1.5：wss://spark-api.xf-yun.com/v1.1/chat
APP ID、API Key、Secret Key 需要现在讯飞星火开放平台创建应用，并该应该的剩余tokens>0，才能添加成功。
```
<img width="1470" alt="image" src="https://github.com/1Panel-dev/MaxKB/assets/52996290/19967bb2-fb17-4187-a486-0a85a26847ec">

<img width="1475" alt="image" src="https://github.com/1Panel-dev/MaxKB/assets/52996290/2e884488-87e1-4d28-9312-0fd9a7a3d316">

### 2.2.6 添加智谱AI大模型

```
在模型管理中，点击供应商【智谱AI】，直接进入下一步填写智谱AI的模型表单。    
或者左侧供应商先选择【智谱AI】，然后点击【添加模型】，则直接进入智谱AI的模型表单。    
模型名称： MaxKB 中自定义的模型名称。   
模型类型： 大语言模型。   
基础模型： 为供应商的 LLM 模型，支持自定义输入，下拉选项是常用的一些大语言模型。    
API Key： 需要现在智谱 AI 开放平台创建。
```
<img width="1453" alt="image" src="https://github.com/1Panel-dev/MaxKB/assets/52996290/97cc80cb-a463-418a-8fee-ccb7144fcb94">

<img width="1429" alt="image" src="https://github.com/1Panel-dev/MaxKB/assets/52996290/ef461195-fc90-4505-9a13-120c65feb637">


### 2.2.7 添加通义千问大模型

```
在模型管理中，点击供应商【通义千问】，直接进入下一步填写通义千问的模型表单。    
或者左侧供应商先选择【通义千问】，然后点击【添加模型】，则直接进入通义千问的模型表单。    
模型名称： MaxKB 中自定义的模型名称。   
模型类型： 大语言模型。   
基础模型： 为供应商的 LLM 模型，支持自定义输入，下拉选项是常用的一些大语言模型。    
API Key： 需要在阿里云->DashScope灵积模型服务->API Key管理中获取。
```
<img width="1464" alt="image" src="https://github.com/1Panel-dev/MaxKB/assets/52996290/75fab77f-0906-4f07-bf37-e80fe0934a28">
<img width="1415" alt="image" src="https://github.com/1Panel-dev/MaxKB/assets/52996290/1fc31061-1e98-411f-92ec-d72bc442b8b6">

### 2.2.8 添加Kimi大模型

```
在模型管理中，点击供应商【Kimi】，直接进入下一步填写Kimi的模型表单。    
或者左侧供应商先选择【Kimi】，然后点击【添加模型】，则直接进入Kimi的模型表单。    
模型名称： MaxKB 中自定义的模型名称。   
模型类型： 大语言模型。   
基础模型： 为供应商的 LLM 模型，支持自定义输入，下拉选项是常用的一些大语言模型。  
API 域名： https://api.moonshot.cn/v1  
API Key： 在Kimi 账户中心的 API Key 管理中获取 key。
```
<img width="1422" alt="image" src="https://github.com/1Panel-dev/MaxKB/assets/52996290/67535f9b-86c4-4f08-8e0b-3c22528c7469">

<img width="1452" alt="image" src="https://github.com/1Panel-dev/MaxKB/assets/52996290/8d2c99a1-b76a-4487-a143-4f286181f563">


## 2.3 创建知识库

```
打开【知识库】页面，点击【创建知识库】，进入创建知识库页面。 
```

- **上传文档**  
```  
输入知识库名称、知识库描述、选择通用型知识库类型。
然后将离线文档通过拖拽方式或选择文件上传方式进行上传。  
上传文档要求：
支持的格式为Markdown、TXT、PDF、DOCX；   
每次最多上传 50 个文件；   
每个文件不超过 100 MB。
  
文档规范建议：  
1、规范分段标识：离线文档的分段标识要有一定规范，否则拆分出来的段落会不规整。   
2、段落要完整：一个分段中最好能描述一个完整的功能点或问题。
```

<img width="1471" alt="image" src="https://github.com/1Panel-dev/MaxKB/assets/52996290/d465f358-8ff3-4569-bebc-c764be2d2a49">


- **设置分段规则** 
```  
当前支持智能分段和高级分段两种分段方式，推荐选择：智能分段。  
支持查看分段预览。 
```  
![automatic paragraphing](https://github.com/1Panel-dev/MaxKB/assets/52996290/40de6679-1ff3-4191-baa3-3ff1d762571f)

```
用户可在分段预览中对不合理的分段进行编辑和删除。
```
<img width="1476" alt="EditSegments" src="https://github.com/1Panel-dev/MaxKB/assets/52996290/b252ea19-1413-4475-96e8-191d21780cce">

- **创建完成**  
 
```
点击【创建并导入】后，系统会对文档进行自动分段 -> 存储 -> 向量化处理操作。    
点击【前往文档】进入该知识库的【文档】列表页面。 
``` 
<img width="1475" alt="doc_list" src="https://github.com/1Panel-dev/MaxKB/assets/52996290/33b8917f-019c-40bd-8080-01c260202e48">


## 2.4 创建应用  
```
点击【创建应用】，进入创建应用页面，左侧为应用信息，右侧为调试预览界面。      
应用名称： 用户提问时对话框的标题和名字。    
应用描述： 对应用场景及用途的描述。    
AI模型： 显示【系统设置】-【模型管理】中大语言模型，也可以直接添加模型，请参考【添加模型】操作介绍。    
提示词： 系统默认有知识库的问答提示词，用户可以自定义。
多轮对话： 开启时当用户提问携带用户在当前会话中最后3个问题；不开启则仅向大模型提交当前问题。           
关联知识库： 选择已有的知识库进行关联，用户提问时会在关联的知识库中检索分段，引用分段生成提示词发送给大模型进行询问。若未关联知识库或未匹配到分段内容。
参数设置： 可以设置知识库的相似度，引用分段数量和最大引用字符数。      
注意：关联的知识库和应用为同一个用户创建。    
开场白： 用户打开对话时，系统弹出的问候语。支持 Markdown 格式；[- ]后的内容为快捷问题，一行一个。    
问题优化： 对用户提出的问题先进行一次 LLM 优化处理，将优化后的问题在知识库中进行向量化检索，开启后能提高检索知识库的准确度，但由于多一次询问大模型会增加回答问题的时长。       
应用信息设置完成后，可以在右侧调试预览中进行提问预览。
```
<img width="1472" alt="add-app" src="https://github.com/1Panel-dev/MaxKB/assets/52996290/06af41b8-42d5-4e69-837e-0a5e0fd30e88">

```
以上 4 步完成后，便可进行问答对话了。
```
## 2.5 演示预览

```
入口一：在应用列表页面，点击【演示】，可进入问答页面。
入口二：点击应用面板，在概览页面点击演示或复制公开访问链接至浏览器进入问答页面进行提问。
```
<img width="1475" alt="QA" src="https://github.com/1Panel-dev/MaxKB/assets/52996290/079a9f0c-b163-4d01-ac81-dceedbacbb3b">

## 2.6 对话日志
```
在对话日志钟记录了所有用户会话中的问答详情，包括用户对AI 回答的反馈信息。  
维护人员可以通过查看对话日志和用户反馈来修正答案。
```   
<img width="1468" alt="log-details" src="https://github.com/1Panel-dev/MaxKB/assets/52996290/af47e50b-50c4-43d3-bf74-cd68be09dac8">




