---
title: 团队管理
date: 2024-05-09 11:40:36
tags: [Hexo, Keep]
categories: [Hexo]
---
```
在 MaxKB 中，支持团队协同维护知识库和应用。内置所有者和成员两种角色，当前登录用户为所有者角色，添加成员用户都为成员角色。     
在团队管理中支持添加和移除成员。   
由于应用关联知识库时要求必须属于同一个所有者，在团队协同维护时，建议规划一个主账号来创建应用和知识库。   
并由主账号来添加/移除成员，给成员分配资源权限。
```
![teamlist](https://github.com/1Panel-dev/MaxKB/assets/52996290/f21fcc38-86e2-4e19-9e3b-91744f48d8a7)

## 2.5.1 添加成员
```
点击【添加成员】，需要输入成员的用户名或邮箱进行添加。   
注意： 添加的成员必须是已存在的 MaxKB 用户。若用户不存在，可联系 admin 系统管理员添加用户。  
```

<img width="1466" alt="addMembers" src="https://github.com/1Panel-dev/MaxKB/assets/52996290/956d6dfd-6659-41ab-9ce9-a7869c1ace95">

## 2.5.2 权限设置
```
支持为成员分配当前用户创建应用和知识库资源的权限。    
若分配使用权限，当成员登录 MaxKB 后仅能查看相应资源。    
若分配管理权限，当成员登录 MaxKB 后可以管理操作相应资源。 
点击【保存】后，权限生效。
```

<img width="1466" alt="Permission settings" src="https://github.com/1Panel-dev/MaxKB/assets/52996290/f1febbed-5c9a-491d-9854-8dc9797d2823">

## 2.5.3 移除成员

```
如果把成员移除，点击【…】-【移除】即可，成员移除后会回收资源权限。
```

<img width="1467" alt="el-members" src="https://github.com/1Panel-dev/MaxKB/assets/52996290/ca1d2fe2-eaf1-4e0e-96de-0f147fd3c41e">
