---
title: about
date: 2024-05-07 10:51:54
---
### About me | 关于我


``` html
# 方法一
keys = ['name', 'gender', 'age']
dic = {}
for key in keys:
    dic[key] = None
print(dic)
# >>>{'name': None, 'gender': None, 'age': None}

# 方法二
dic1 = {}.fromkeys(keys, None)
print(dic1)
# >>>{'name': None, 'gender': None, 'age': None}

```

```mermaid
gantt
dateFormat  YYYY-MM-DD
title Adding GANTT diagram to mermaid
excludes weekdays 2014-01-10

section A section
Completed task            :done,    des1, 2014-01-06,2014-01-08
Active task               :active,  des2, 2014-01-09, 3d
Future task               :         des3, after des2, 5d
Future task2               :         des4, after des3, 5d
```





- Software Development Engineer 软件开发工程师

  > If you need someone to develop Website, Mini Program, Mobile APP and Desktop APP, then I hope we can work together.
  > 如果你需要找人开发网站、小程序、手机 APP 和桌面 APP，那么希望我们能达成合作。
  >
  > You can find my contact information in below.
  > 你可以在下方找到我的联系方式。

- 《自由程序猿》公众号作者

  > 如果你有 IT 领域原创好文，欢迎投稿，一经采用，将支付稿费酬谢。

### Contact me | 联系我

- GitHub | [XPoet](https://github.com/XPoet)

- WeChat | 关注公众号@自由程序猿，添加博主微信，我们就是好朋友啦~

  ![image]()

### Open source projects | 开源项目

- **hexo-theme-keep**

  一款简约轻快的 [Hexo](https://hexo.io/) 主题，不管以后如何变化，Keep 主题始终围绕「简约、轻快、专注内容」来维护和升级，欢迎感兴趣的同学们贡献 PR。

  关于 Keep 主题更多介绍以及图文教程，请移步 [Keep 官方使用手册](https://keep-docs.xpoet.cn/)。

  - 仓库：https://github.com/XPoet/hexo-theme-keep
  - 演示：[https://keep.xpoet.cn](https://keep.xpoet.cn/)
  - 文档：[https://keep-docs.xpoet.cn](https://keep-docs.xpoet.cn/)

- **PicX**

  一款基于 GitHub API 开发的图床工具，提供图片上传托管、生成图片链接和常用图片工具箱服务。

  - 仓库：https://github.com/XPoet/picx
  - 官网：[https://picx.xpoet.cn](https://picx.xpoet.cn/)
  - 文档：[https://picx-docs.xpoet.cn](https://picx-docs.xpoet.cn/)

 Comments